// pages/newCircleEvent/newCircleEvent.js
var app = getApp()
import Notify from '../../dist/notify/notify';

Page({

  /**
   * 页面的初始数据
   */
  data: {
    circleId: 0,
    isOwner: false,

    title:'',
    comment:'',
    startTime:'',
    finishTime:'',
    enrollTime:'',
    frontImage:'',
    position: '',
    includeSocialUser:false,
    maxMember:0,
    timeLength:'',//活动时长
    leaderName:'',//联系人
    leaderContact: '',//联系方式
    venue: '',//集合地点
    venueTime: '',//集合时间


    fileList: [],
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },



  //图片处理
  delete(event) {
    const { index, name } = event.detail;
    const fileList = this.data[`fileList`];
    fileList.splice(index, 1);
    this.setData({ [`fileList`]: fileList });
  },
  afterRead(event) {
    const { file, name } = event.detail;
    const fileList = this.data[`fileList`];
    this.setData({
      [`fileList`]: fileList.concat(file),
      // headerImg: file[0].path
    });
  },
  //获取活动标题输入
  inputTitle(event) {
    this.setData({
      title: event.detail.value
    })
  },

  //获取输入的活动描述
  inputComment(event) {
    this.setData({
      comment: event.detail.value
    })
  },

  //获取是否允许社会人士参加输入
  onChangeIncludeSocialUser({ detail }) {
    // 需要手动对 checked 状态进行更新
    this.setData({ includeSocialUser: detail });
  },

  //提交审核
  applyEvent() {
    var that = this;
    //标题必须输入
    if (that.data.title == null || that.data.title.trim() == "") {
      Notify('请输入活动标题')
      return
    }
    //内容必须输入
    if (that.data.comment == null || that.data.comment.trim() == "") {
      Notify('请输入活动描述')
      return
    }
    var config = wx.getStorageSync('config');
    wx.request({
      url: app.url + 'ajax_set_circle_notice_new.php',
      data: {
        unionId: config.unionId,
        circleId: that.data.circleId,
        title: that.data.title,
        comment: that.data.comment,
      },
      header: { 'content-type': 'application/json' },
      method: 'GET',
      dataType: 'json',
      success: function (res) {

        if (that.data.imagePath != null && that.data.imagePath != undefined) {
          wx.uploadFile({
            url: app.url + 'ajax_set_circle_notice_new.php?unionId=' + config.unionId + "&circleId=" + that.data.circleId,
            filePath: that.data.imagePath,
            name: 'image',
            header: { 'content-type': 'multipart/form-data' },
            success: function (res) {
              Notify('发布成功！')
              //循环执行等待全部结束
              var a = setInterval(function () {
                //跳转到圈子首页
                wx.navigateTo({
                  url: '../circleDetails/circleDetails?circleId=' + that.data.circleId,
                });
                //循环执行代码 
                clearInterval(a)
              }, 1000) //循环时间 这里是1秒

            },
            fail: function (res) {
              console.log(res, '上传失败')
            },
            complete: function (res) {
            },
          })
        }
      },
      fail: function (res) { },
      complete: function (res) { },
    })
  },

  /**
 * 用户点击右上角分享
 */
  onShareAppMessage: function () {

  },
})